/*----- Container -----*/
.container {
  margin: 40px 8px;
  overflow: hidden;
}
/*---------------------*/





/*----- Header -----*/
.header {
  display: flex;
  flex-direction: column;
  gap: 40px;
  margin: 0 0 40px;
}

.header__socialMedia {
  display: flex;
  justify-content: center;
  gap: 32px;
}

.header__socialMedia--icon {
  width: 24px;
}

.header__navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 48px;
  padding: 0 24px;
  background-color: var(--primary-color);
  color: #fff;
}

.header--logo {
  font-family: 'DM Serif Text', serif;
}

.header--darkmode {
  display: none;
}
/*---------------------*/





/*----- Title -----*/
.title {
  text-align: center;
  margin-bottom: 40px;
}

.title h2 {
  font-family: 'DM Serif Text', serif;
}
/*-----------------*/





/*----- Presentation Left -----*/
.presentation__left {
  margin-bottom: 110px;
}

.presentation--name {
  margin-bottom: 40px;
}

.presentation__description {
  margin-bottom: 100px;
}

.presentation__description p:first-child {
  margin-bottom: 20px;
}

.presentation__buttons {
  width: 304px;
  justify-content: center;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  gap: 24px;
}

.presentation__buttons--itemContainer {
  display: flex;
  align-items: center;
  gap: 10px;
  width: fit-content;
  height: 40px;
  padding: 16px;
  overflow: hidden;
  border-radius: 10px;
  background-color: var(--primary-color);
  color: #fff;
}

.presentation {
  margin-bottom: 124px;
}
/*---------------------------*/





/*----- Presentation Right -----*/
.cardRepairs {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.4)), url('../src/img/repairs.jpg') no-repeat bottom;
}

.cardNetwork {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.4)), url('../src/img/network.jpg') no-repeat center;
}

.cardSupport {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.4)), url('../src/img/support.jpg') no-repeat bottom;
}

.cardDevelopment {
  background: linear-gradient(rgba(0,0,0,0), rgba(0,0,0,0.4)), url('../src/img/development.jpg') no-repeat bottom;
}

.presentation__cardsContainer {
  display: grid;
  justify-items: center;
  gap: 24px;
}

.presentation__card {
  width: 264px;
  height: 290px;
  padding: 24px 16px;
  border-radius: 30px;
  overflow: hidden;
  color: #fff;
  background-size: cover;
  align-content: end;
}

.presentation__card--linkArea {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.presentation__card--linkArea div:last-child {
  display: none;
}

.presentation__card--linkArea a:link, a:visited {
  color: #fff;
}
/*----------------------------*/





/*----- Floor64 -----*/
.floor64 {
  margin-bottom: 48px;
}

.floor64 h3 {
  margin-bottom: 24px;
}

.floor64--p {
  margin-bottom: 20px;
}
/*-------------------*/





/*----- Phrase -----*/
.phrase {
  text-align: center;
  margin-bottom: 48px;
}
/*------------------*/